+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
[1] Allgemeine Informationen zur Version 2.12.1
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

2.12.1 ist der kompatible Nachfolger der WB-2.8.3 bis WB-2.12 Versionen.
Dieses Paket enthält alles, was Sie zum Ausführen einer Website benötigen.
Neben dem Core-Paket erhalten Sie auch eine Grundausstattung an Modulen sowie benötigte 3rd-Party-Pakete wie PHPMailer, pclzip, phplib, Twig, JQuery und mehr.



+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
[2] Anforderungen
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

WebsiteBaker wurde auf einer Linux & Apache Umgebung entwickelt, daher können wir keine Garantie geben, dass es problemlos in einer Windows (R) Umgebung funktioniert.

Operating system: Linux (empfohlen), Windows (vielleicht)
Database        : MySQL 5 / MariaDB 5 and up
Webserver       : Apache
PHP             : ab 5.6 bis einschließlich PHP-7  (FastCGI, FPM) wir empfehlen PHP 7.2
Diskspace       : 25MB oder mehr



+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
[3] Installationsanweisung für WebsiteBaker 2.12.1
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Das Installationspaket enthält eine komplette WebsiteBaker Version 2.12.1 und kann auf allen kompatiblen Hosts installiert werden.

a) Stellen Sie sicher, dass Ihr Webspace die oben beschriebenen Anforderungen erfüllt!

b) Stellen Sie sicher, dass Sie eine MySQL-Datenbank zur Verfügung haben inkl. der Zugangsdaten!

c) Laden Sie das Paket auf Ihren PC herunter und entpacken Sie alles in einen leeren Ordner.

d) Verschieben Sie alles aus dem Ordner auf Ihren Webspace mit FTP.

e) Schalten Sie die PHP-Version auf 5.6 bis einschließlich 7, wenn dies noch nicht geschehen ist (PHP-7.2 (FastCGI, FPM) empfohlen).

f) Rufen Sie jetzt einfach Ihre Installation wie im Beispiel http://example.com/ auf und folgen Sie den Anweisungen des Installationsskriptes.

Viel Spaß mit Ihrer neuen WebsiteBaker-Installation!



+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
[4] Aktualisierung einer WebsiteBaker Version ab 2.8.3
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Dieses Installationspaket enthält eine komplette WebsiteBaker Version 2.12.1 und kann von jeder WebsiteBaker Version ab 2.8.3 installiert werden.

Zusätzliche Anweisungen zum Aktualisieren von WebsiteBaker-Versionen älter als 2.8.3 finden Sie unter [6].

a) WICHTIG :: Machen Sie auf jeden Fall ein Backup des Webspace und der Datenbank !!!

b) Laden Sie das WebsiteBaker-Paket auf Ihren PC herunter und entpacken Sie alles in einen leeren Ordner.

c) Verschieben Sie alles aus dem Ordner auf Ihren Webspace mit ftp und der Einstellung 'vorhandene überschreiben'

d) Schalten Sie die PHP-Version des Webserver auf mindestens PHP 5.6 oder höher. Wir empfehlen PHP 7.2

e) Melden Sie sich als SuperAdmin (ID 1) im Backend an und starten Sie das upgrade-script durch Klick auf den Link und befolgen Sie die Anweisungen.

f) Einige Add-on-Pakete werden nicht mit dieser Version geliefert und müssen manuell aktualisiert werden.
   Einige neue Versionen sind verfügbar unter http://addon.websitebaker.org/
   
   

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
[6] Aktualisieren Sie WebsiteBaker von älteren Versionen vor WB-2.8.3
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Bevor Sie ein Upgrade von einer älteren Version vor WB-2.8.3 durchführen, müssen Sie zuerst auf [WB 2.8.3 vom Feb.2012] upgraden.
Diese Version kann von jedem dieser Links heruntergeladen werden:
https://addon.websitebaker.org/pages/en/browse-add-ons.php?id=0EA85F12
oder
https://wiki.websitebaker.org/doku.php/en/downloads#websitebaker_283

Upgrade Anweisungen für WebsiteBaker finden Sie in unserem Forum:
english: https://forum.websitebaker.org/index.php/topic,23412
deutsch: https://forum.websitebaker.org/index.php/topic,23658