<?php
/**
 *
 * @category        frontend
 * @package         account
 * @author          WebsiteBaker Project
 * @copyright       2004-2009, Ryan Djurovich
 * @copyright       2009-2011, Website Baker Org. e.V.
 * @link            http://www.websitebaker2.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         $Id: email.php 68 2018-09-17 16:26:08Z Luisehahne $
 * @filesource        $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/tags/2.12.1/account/email.php $
 * @lastmodified    $Date: 2018-09-17 18:26:08 +0200 (Mo, 17. Sep 2018) $
 *
 */

// Must include code to stop this file being access directly
if (!defined('SYSTEM_RUN')) { header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 File not found'; flush(); exit;}

    if (!\bin\SecureTokens::checkFTAN ()) {
        throw new \Exception ($oTrans->MESSAGE_GENERIC_SECURITY_ACCESS);
    }

// Get entered values
    $password = preg_replace('/[^\x20-\x7E]+$]/', '',$wb->StripCodeFromText($wb->get_post('current_password')));
    $email = $wb->StripCodeFromText($wb->get_post('email'));
// validate password
    $sql  = 'SELECT `user_id` FROM `'.TABLE_PREFIX.'users` '
          . 'WHERE `user_id` = '.$wb->get_user_id().' AND `password` = \''.md5($password).'\'';
    $rowset = $database->query($sql);
// Validate values
    if($rowset->numRows() == 0) {
        $error[] = $MESSAGE['PREFERENCES_CURRENT_PASSWORD_INCORRECT'];
    }else {
        if(!$wb->validate_email($email)) {
            $error[] = $MESSAGE['USERS_INVALID_EMAIL'];
        }else {
            $email = $wb->add_slashes($email);
// Update the database
            $sql  = 'UPDATE `'.TABLE_PREFIX.'users` '
                  . 'SET `email` = \''.$database->escapeString($email).'\' '
                  . 'WHERE `user_id` = \''.$wb->get_user_id().'\'';
             $database->query($sql);
            if($database->is_error()) {
                $error[] = $database->get_error();
            } else {
                $success[] = $MESSAGE['PREFERENCES_EMAIL_UPDATED'];
                $_SESSION['EMAIL'] = $email;
            }
        }
    }
