<?php
/**
 *
 * @category        frontend
 * @package         account
 * @author          WebsiteBaker Project
 * @copyright       Ryan Djurovich
 * @copyright       Website Baker Org. e.V.
 * @link            http://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.10.1
 * @requirements    PHP 5.6.0 and higher
 * @version         $Id: login_form.php 68 2018-09-17 16:26:08Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/tags/2.12.1/account/login_form.php $
 * @lastmodified    $Date: 2018-09-17 18:26:08 +0200 (Mo, 17. Sep 2018) $
 *
 */

// Must include code to stop this file being access directly
if (!defined('SYSTEM_RUN')) { header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 File not found'; flush(); exit;}

$username_fieldname = 'username';
$password_fieldname = 'password';
if(defined('SMART_LOGIN') && SMART_LOGIN == 'true') {
    $sTmp = '_'.substr(md5(microtime()), -8);
    $username_fieldname .= $sTmp;
    $password_fieldname .= $sTmp;
}
    $sAddonName = basename(__DIR__);
    $oTrans = Translate::getInstance();
    $oTrans->enableAddon('\\account');

    $thisApp->redirect_url = (isset($thisApp->redirect_url) && ($thisApp->redirect_url!='')  ? $thisApp->redirect_url : $_SESSION['HTTP_REFERER'] );

    $sTemplate  = 'login_form.htt';
    $sTemplatePath = WB_PATH.'/account/templates/';
    if (file_exists(WB_PATH .'/templates/'.TEMPLATE.'/templates/'.$sTemplate)) {
       $sTemplatePath = WB_PATH .'/templates/'.TEMPLATE.'/templates/';
    }

    $template = new \vendor\phplib\Template($sTemplatePath);

    $template->set_file('page', $sTemplate);
    $template->set_block('page', 'main_block', 'main');

    $template->set_var('LOGIN_URL', WB_URL.'/account/login.php');
    $template->set_var('ACTION_URL', $thisApp->redirect_url);
    $template->set_var('MESSAGE', $thisApp->getMessage());
    $template->set_var('USERNAME_FIELDNAME', $username_fieldname);
    $template->set_var('PASSWORD_FIELDNAME', $password_fieldname);
    $template->set_var('ADMIN_URL', ADMIN_URL );
    $template->set_var($oTrans->getLangArray());
// Parse template for preferences form
    $template->parse('main', 'main_block', false);
    $template->pparse('output', 'page');

