<?php

/*
 * Copyright (C) 2017 Manuela v.d.Decken <manuela@isteam.de>
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT OR THIS HEADER
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License 2 for more details.
 *
 * You should have received a copy of the GNU General Public License 2
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Description of version.php
 *
 * @package      Core
 * @copyright    Manuela v.d.Decken <manuela@isteam.de>
 * @author       Manuela v.d.Decken <manuela@isteam.de>
 * @license      GNU General Public License 2.0
 * @version      2.0.1
 * @revision     $Id: version.php 190 2018-11-20 14:55:01Z manuela $
 * @since        File available since 04.10.2017
 * @deprecated   no / since 0000/00/00
 * @description  simply stares the version number of installed files
 */
//declare(strict_types = 1);
//declare(encoding = 'UTF-8');

//namespace version;

// use

/* --------------------------------6------------------------ */
if (!\defined('VERSION_LOADED')) {
// Must include code to stop this file being accessed directly
    if (!\defined('SYSTEM_RUN')) { \header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 File not found'; flush(); exit;}
/*--------------------------------------------------------- */
    $sInfo = '
        VERSION  = "2.12.1"
        REVISION = "188"
        SP       = ""
    ';
    $aInfo = \parse_ini_string($sInfo);
    foreach ($aInfo as $item=>$value) {
        if (!\defined($item)) {\define($item, $value);}
    }
    unset($sInfo);
    \define('VERSION_LOADED', true);
}


