<?php
/*
 * Copyright (C) 2017 Manuela v.d.Decken <manuela@isteam.de>
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT OR THIS HEADER
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License 2 for more details.
 *
 * You should have received a copy of the GNU General Public License 2
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Description of DE
 * @package      ModuleTranslation
 * @copyright    Manuela v.d.Decken <manuela@isteam.de>
 * @author       Manuela v.d.Decken <manuela@isteam.de>
 * @license      GNU General Public License 2.0
 * @version      4.0.0
 * @revision     $Id: DE.php 66 2018-09-17 15:48:07Z Luisehahne $
 * @since        File available since 18.10.2017
 * @deprecated   no
 * @description  xxx
 */
//declare(strict_types = 1);
//declare(encoding = 'UTF-8');

//namespace ;

// use

$MESSAGE['FRONTEND_SORRY_NO_ACTIVE_SECTIONS'] = 'Kein aktiver Inhalt in diesem Abschnitt vorhanden';
$MESSAGE['GENERIC_SECURITY_ACCESS'] = 'Sicherheitsverletzung!! Zugriff wurde verweigert!';
$MESSAGE['GENERIC_SECURITY_OFFENSE'] = 'Sicherheitsverletzung!! Das Speichern der Daten wurde verweigert!!';
$MESSAGE['PAGES_ADDED'] = 'Die Seite wurde erfolgreich hinzugefügt';
$MESSAGE['PAGES_ADDED_HEADING'] = 'Seitenkopf erfolgreich hinzugefügt';
$MESSAGE['PAGES_BLANK_MENU_TITLE'] = 'Bitte geben Sie einen Menütitel ein';
$MESSAGE['PAGES_BLANK_PAGE_TITLE'] = 'Bitte geben Sie einen Titel für die Seite ein';
$MESSAGE['PAGES_CANNOT_CREATE_ACCESS_FILE'] = 'Beim Anlegen der Zugangsdatei im Verzeichnis /pages ist ein Fehler aufgetreten (Ungenügende Zugangsrechte)';
$MESSAGE['PAGES_CANNOT_DELETE_ACCESS_FILE'] = 'Beim Löschen der Zugangsdatei im Verzeichnis /pages ist ein Fehler aufgetreten (Ungenügende Zugangsrechte)';
$MESSAGE['PAGES_CANNOT_REORDER'] = 'Bei der Zusammenstellung der Seite ist ein Fehler aufgetreten';
$MESSAGE['PAGES_DELETED'] = 'Die Seite wurde erfolgreich gelöscht';
$MESSAGE['PAGES_MARKED_DELETED'] = 'Die Seite wurde erfolgreich zum Löschen markiert';
$MESSAGE['PAGES_DELETE_CONFIRM'] = 'Sind Sie sicher, dass Sie die ausgewählte Seite löschen möchten ( und deren Unterseiten )';
$MESSAGE['PAGES_INSUFFICIENT_PERMISSIONS'] = 'Sie haben keine Berechtigung, diese Seite zu ändern';
$MESSAGE['PAGES_INTRO_LINK'] = 'Bitte klicken Sie HIER um die Eingangsseite zu ändern';
$MESSAGE['PAGES_INTRO_NOT_WRITABLE'] = 'Es konnte nicht in die Datei /pages/intro.php geschrieben werden (ungenügende Zugangsrechte)';
$MESSAGE['PAGES_INTRO_SAVED'] = 'Eingangsseite wurde erfolgreich gespeichert';
$MESSAGE['PAGES_LAST_MODIFIED'] = 'Die letzte Änderung wurde durchgeführt von';
$MESSAGE['PAGES_NOT_FOUND'] = 'Die Seite konnte nicht gefunden werden';
$MESSAGE['PAGES_NOT_SAVED'] = 'Beim Speichern der Seite ist ein Fehler aufgetreten';
$MESSAGE['PAGES_PAGE_EXISTS'] = 'Eine Seite mit einem ähnlichen oder demselben Titel existiert bereits';
$MESSAGE['PAGES_REORDERED'] = 'Die Seite wurde erfolgreich neu zusammengestellt';
$MESSAGE['PAGES_RESTORED'] = 'Die Seite wurde erfolgreich wiederhergestellt';
$MESSAGE['PAGES_RETURN_TO_PAGES'] = 'Zurück zum Seitenmenü';
$MESSAGE['PAGES_SAVED'] = 'Die Seite wurde erfolgreich gespeichert';
$MESSAGE['PAGES_SAVED_SETTINGS'] = 'Die Seiteneinstellungen wurden erfolgreich gespeichert';
$MESSAGE['PAGES_SECTIONS_PROPERTIES_SAVED'] = 'Einstellungen für diesen Abschnitt erfolgreich gespeichert';
$MESSAGE['PAGES_SECTIONS_ORGA'] = 'Struktur';
$MESSAGE['PAGES_SECTIONS_TITLE'] = 'Beschreibung';

$HEADING['MODIFY_ADVANCED_PAGE_SETTINGS'] = 'Erweiterte Seitenoptionen ändern';
$HEADING['MODIFY_INTRO_PAGE'] = 'Eingangsseite ändern';
$HEADING['MODIFY_PAGE'] = 'Seite ändern';
$HEADING['MODIFY_PAGE_SETTINGS'] = 'Seitenoptionen ändern';
$HEADING['MODIFY_DELETE_PAGE'] = 'Seiten ändern oder löschen';

$TEXT['CHANGE_SETTINGS'] = 'Einstellungen ändern';
$TEXT['DELETED'] = 'Gelöscht';
$TEXT['MODULE'] = 'Modul';
$TEXT['MODULE_DELETE'] = 'Modul {ModuleName} für Abschnitt {ID} entfernen';
$TEXT['SECTION_DELETE'] = 'Modul %s für Abschnitt %d erfolgreich entfernt';
$TEXT['SUCCESS'] = 'Erfolgreich';
$TEXT['SEO_TITLE'] = 'Zugriffs Datei';
