<?php
/*
 * Copyright (C) 2017 Manuela v.d.Decken <manuela@isteam.de>
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT OR THIS HEADER
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License 2 for more details.
 *
 * You should have received a copy of the GNU General Public License 2
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Description of EN
 * @package      ModuleTranslation
 * @copyright    Manuela v.d.Decken <manuela@isteam.de>
 * @author       Manuela v.d.Decken <manuela@isteam.de>
 * @license      GNU General Public License 2.0
 * @version      4.0.0
 * @revision     $Id: EN.php 66 2018-09-17 15:48:07Z Luisehahne $
 * @since        File available since 18.10.2017
 * @deprecated   no
 * @description  xxx
 */
//declare(strict_types = 1);
//declare(encoding = 'UTF-8');

//namespace ;

// use

$MESSAGE['FRONTEND_SORRY_NO_ACTIVE_SECTIONS'] = 'No active content to display in this section';
$MESSAGE['GENERIC_SECURITY_ACCESS'] = 'Security offense!! Access denied!';
$MESSAGE['GENERIC_SECURITY_OFFENSE'] = 'Security offense!! data storing was refused!!';
$MESSAGE['PAGES_ADDED'] = 'Page added successfully';
$MESSAGE['PAGES_ADDED_HEADING'] = 'Page heading added successfully';
$MESSAGE['PAGES_BLANK_MENU_TITLE'] = 'Please enter a menu title';
$MESSAGE['PAGES_BLANK_PAGE_TITLE'] = 'Please enter a page title';
$MESSAGE['PAGES_CANNOT_CREATE_ACCESS_FILE'] = 'Error creating access file in the /pages directory (insufficient privileges)';
$MESSAGE['PAGES_CANNOT_DELETE_ACCESS_FILE'] = 'Error deleting access file in the /pages directory (insufficient privileges)';
$MESSAGE['PAGES_CANNOT_REORDER'] = 'Error re-ordering page';
$MESSAGE['PAGES_DELETED'] = 'Page deleted successfully';
$MESSAGE['PAGES_MARKED_DELETED'] = 'Page has been marked successfully for deletion';
$MESSAGE['PAGES_DELETE_CONFIRM'] = 'Are you sure you want to delete the selected page (and all of its sub-pages)';
$MESSAGE['PAGES_INSUFFICIENT_PERMISSIONS'] = 'You do not have permissions to modify this page';
$MESSAGE['PAGES_INTRO_LINK'] = 'Click HERE to modify the intro page';
$MESSAGE['PAGES_INTRO_NOT_WRITABLE'] = 'Cannot write to file /pages/intro.php (insufficient privileges)';
$MESSAGE['PAGES_INTRO_SAVED'] = 'Intro page successfully saved';
$MESSAGE['PAGES_LAST_MODIFIED'] = 'Last modification by';
$MESSAGE['PAGES_NOT_FOUND'] = 'Page not found';
$MESSAGE['PAGES_NOT_SAVED'] = 'Error saving page';
$MESSAGE['PAGES_PAGE_EXISTS'] = 'A page with the same or similar title exists';
$MESSAGE['PAGES_REORDERED'] = 'Page successfully re-ordered';
$MESSAGE['PAGES_RESTORED'] = 'Page successfully restored';
$MESSAGE['PAGES_RETURN_TO_PAGES'] = 'Return to pages';
$MESSAGE['PAGES_SAVED'] = 'Page saved successfully';
$MESSAGE['PAGES_SAVED_SETTINGS'] = 'Page settings successfully saved';
$MESSAGE['PAGES_SECTIONS_PROPERTIES_SAVED'] = 'Section properties successfully saved';
$MESSAGE['PAGES_SECTIONS_ORGA'] = 'Structure';
$MESSAGE['PAGES_SECTIONS_TITLE'] = 'Description';

$HEADING['MODIFY_ADVANCED_PAGE_SETTINGS'] = 'Modify Advanced Page Settings';
$HEADING['MODIFY_INTRO_PAGE'] = 'Modify Intro Page';
$HEADING['MODIFY_PAGE'] = 'Modify Page';
$HEADING['MODIFY_PAGE_SETTINGS'] = 'Modify Page Settings';
$HEADING['MODIFY_DELETE_PAGE'] = 'Modify or Delete Pages';

$TEXT['CHANGE_SETTINGS'] = 'Change Settings';
$TEXT['DELETED'] = 'Deleted';
$TEXT['MODULE'] = 'Module';
$TEXT['MODULE_DELETE'] = 'Delete Module {ModuleName} for Section {ID}';
$TEXT['SECTION_DELETE'] = 'Module %s for Section %d successfully deleted';
$TEXT['SUCCESS'] = 'Success';
$TEXT['SEO_TITLE'] = 'Access File';
