<?php

// $Id: create_calc_image.php 68 2018-09-17 16:26:08Z Luisehahne $

 /* -------------------------------------------------------- */
if (!defined( 'SYSTEM_RUN')){require(dirname(dirname(dirname((__DIR__)))).'/config.php' );}
/* -------------------------------------------------------- */
if (!function_exists('display_captcha_real')) {require (WB_PATH.'/include/captcha/captcha.php');}
if (isset($_GET['cap'])){ $cap = html_entity_decode(rawurldecode($_GET['cap']));}

try {

    // create reload-image
    $reload    = ImageCreateFromPNG(WB_PATH.'/include/captcha/reload_120_30.png'); // reload-overlay
    $image     = imagecreate(200, 50);
    $white     = imagecolorallocate($image, 0xFF, 0xFF, 0xFF);
    $gray      = imagecolorallocate($image, 0xC0, 0xC0, 0xC0);
    $textcolor = imagecolorallocate($image, 0x30, 0x30, 0x30);

    for($i = 0; $i < 30; $i++) {
        $x1 = mt_rand(0,150);
        $y1 = mt_rand(0,30);
        $x2 = mt_rand(0,150);
        $y2 = mt_rand(0,30);
        imageline($image, $x1, $y1, $x2, $y2 , $gray);
    }

    $Fontfile = ( dirname(__DIR__).'/fonts/LLBd_cond.ttf');
    $angle    = 0;
    $ttfsize  = 25; // fontsize
    $x        = 18;
    $l        = strlen($cap);
    for($i = 0; $i < $l; $i++) {
        $x = $x + mt_rand(10 , 25);
        $y = mt_rand(18, 25);
        $angle = mt_rand(-2, 2);
        $res = imagettftext ($image, $ttfsize, $angle, $x, $y, $textcolor, $Fontfile, substr($cap, $i, 1) );
    //    $fnt = mt_rand(5,7);
    //    imagestring($image, $fnt, $x, $y, substr($cap, $i, 1), $textcolor);
    }

    imagealphablending($reload, true);
    imagesavealpha($reload, true);

    // overlay
    imagecopy($reload, $image, 0,0,0,0, 120,50);
    imagedestroy($image);
    $image = $reload;

    if(!function_exists('captcha_header')) {
        throw new Exception( 'Can\'t call function captcha_header');
    }
    ob_start();
    captcha_header();
    imagepng($image);
    header("Content-Length: ".ob_get_length());
    ob_end_flush();

    imagedestroy($image);
} catch (Exception $e) {
    echo 'Exception abgefangen: ',  $e->getMessage(), "\n";
}

