﻿/**
 * @license Copyright (c) 2003-2018, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or http://ckeditor.com/license
 */

/**
 * This file was added automatically by CKEditor builder.
 * You may re-use it at any time to build CKEditor again.
 *
 * If you would like to build CKEditor online again
 * (for example to upgrade), visit one the following links:
 *
 * (1) http://ckeditor.com/builder
 *     Visit online builder to build CKEditor from scratch.
 *
 * (2) http://ckeditor.com/builder/3b11318879632554393c426216ac1a72
 *     Visit online builder to build CKEditor, starting with the same setup as before.
 *
 * (3) http://ckeditor.com/builder/download/3b11318879632554393c426216ac1a72
 *     Straight download link to the latest version of CKEditor (Optimized) with the same setup as before.
 *
 * NOTE:
 *    This file is not used by CKEditor, you may remove it.
 *    Changing this file will not change your CKEditor configuration.
 */

var CKBUILDER_CONFIG = {
    skin: 'moonocolor',
    preset: 'standard',
    ignore: [
        '.DS_Store',
        '.bender',
        '.editorconfig',
        '.gitattributes',
        '.gitignore',
        '.idea',
        '.jscsrc',
        '.jshintignore',
        '.jshintrc',
        '.mailmap',
        '.npm',
        '.travis.yml',
        'README.md',
        'a11yhelp',
        'bender-err.log',
        'bender-out.log',
        'bender.ci.js',
        'bender.js',
        'dev',
        'gruntfile.js',
        'less',
        'node_modules',
        'package.json',
        'shybutton',
        'tests',
        'wbabout',
        'wbdroplets',
        'wblink',
        'wbrelation',
        'wbsave'
    ],
    plugins : {
        'about' : 1,
        'autogrow' : 1,
        'basicstyles' : 1,
        'bidi' : 1,
        'blockquote' : 1,
        'button' : 1,
        'clipboard' : 1,
        'codemirror' : 1,
        'colorbutton' : 1,
        'colordialog' : 1,
        'contextmenu' : 1,
        'dialog' : 1,
        'dialogadvtab' : 1,
        'dialogui' : 1,
        'div' : 1,
        'elementspath' : 1,
        'emojione' : 1,
        'enterkey' : 1,
        'entities' : 1,
        'fakeobjects' : 1,
        'filebrowser' : 1,
        'find' : 1,
        'floatingspace' : 1,
        'floatpanel' : 1,
        'font' : 1,
        'format' : 1,
        'forms' : 1,
        'horizontalrule' : 1,
        'htmlwriter' : 1,
        'iframe' : 1,
        'iframedialog' : 1,
        'image' : 1,
        'indent' : 1,
        'indentblock' : 1,
        'indentlist' : 1,
        'justify' : 1,
        'language' : 1,
        'link' : 1,
        'list' : 1,
        'listblock' : 1,
        'liststyle' : 1,
        'magicline' : 1,
        'maximize' : 1,
        'menu' : 1,
        'menubutton' : 1,
        'oembed' : 1,
        'pagebreak' : 1,
        'panel' : 1,
        'panelbutton' : 1,
        'pastefromword' : 1,
        'pastetext' : 1,
        'popup' : 1,
        'removeformat' : 1,
        'removespan' : 1,
        'resize' : 1,
        'richcombo' : 1,
        'save' : 1,
        'selectall' : 1,
        'showblocks' : 1,
        'showborders' : 1,
        'smiley' : 1,
        'sourcearea' : 1,
        'specialchar' : 1,
        'stylescombo' : 1,
        'syntaxhighlight' : 1,
        'tab' : 1,
        'table' : 1,
        'tabletools' : 1,
        'templates' : 1,
        'toolbar' : 1,
        'undo' : 1,
        'widget' : 1,
        'wysiwygarea' : 1
    },
    languages : {
        'bg' : 1,
        'ca' : 1,
        'cs' : 1,
        'cy' : 1,
        'da' : 1,
        'de' : 1,
        'en' : 1,
        'es' : 1,
        'et' : 1,
        'fi' : 1,
        'fr' : 1,
        'hr' : 1,
        'hu' : 1,
        'it' : 1,
        'lv' : 1,
        'nl' : 1,
        'no' : 1,
        'pl' : 1,
        'pt' : 1,
        'ru' : 1,
        'si' : 1,
        'sk' : 1,
        'sl' : 1,
        'sv' : 1,
        'th' : 1
    }
};