<?php
/*
 * Copyright (C) 2017 Manuela v.d.Decken <manuela@isteam.de>
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT OR THIS HEADER
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License 2 for more details.
 *
 * You should have received a copy of the GNU General Public License 2
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Description of \admin\addons\DE
 * @package      CoreTranslation
 * @copyright    Manuela v.d.Decken <manuela@isteam.de>
 * @author       Manuela v.d.Decken <manuela@isteam.de>
 * @license      GNU General Public License 2.0
 * @version      4.0.0
 * @revision     $Id: DE.php 66 2018-09-17 15:48:07Z Luisehahne $
 * @since        File available since 18.10.2017
 * @deprecated   no
 * @description  xxx
 */

//declare(strict_types = 1);

//declare(encoding = 'UTF-8');

if (!defined('SYSTEM_RUN')) {header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 File not found'; flush(); exit;}

// Set the language information
$language_code     = 'DE';
$language_name     = 'Deutsch';
$language_version  = '4.0.0';
$language_platform = '2.11.0';
$language_author   = 'Manuela v.d.Decken, Dietmar Wöllbrink';
$language_license  = 'GNU General Public License 2.0';

$TEXT['PAGE_LANGUAGES'] = 'Mehrsprachigkeit';
$TEXT['TWIG_VERSION'] = 'Twig Version';
$TEXT['JQUERY_VERSION'] = 'jQuery Version';
$TEXT['JQUERY_CDN_LINK'] = 'Externe Datei (CDN)';
$TEXT['CDN_EXTERN'] = 'Externe (CDN)';
$TEXT['RENAME_FILES_ON_UPLOAD'] = 'Verbotene Dateitypen';
$TEXT['MEDIA_RESIZE'] = 'max. Media Bilderabmessung';
$TEXT['MEDIA_WIDTH'] = 'px Breite';
$TEXT['MEDIA_HEIGHT'] = 'px Höhe';

$TEXT['EDITOR_ENABLE'] = 'Editor einschalten';
$TEXT['EDITOR_DISABLE'] = 'Editor ausschalten';

$HEADING['LOGIN_SETTINGS'] = 'Frontend Anmeldung, Registrierung, Datenschutz-Grundverordnung';

$TEXT['DSGVO'] = 'Datenschutzrichtlinie';
$TEXT['DSGVO_LINK'] = 'Datenschutz Url';
$TEXT['DSGVO_DISABLED'] = 'Datenschutz Richtlinie zurücksetzen';
$TEXT['TOGGLE'] = 'Richtlinie ein- oder ausschalten';

$INFO['DSGVO'] = 'Mehrfachauswahl, es sind mehrere Einträge auswählbar. Wählen sie für jede Sprache einen Datenschutzhinweis aus!';
