<?php
/**
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category        modules
 * @package         news
 * @subpackage      reorgPosition
 * @author          Dietmar Wöllbrink
 * @copyright       WebsiteBaker Org. e.V.
 * @link            http://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.3
 * @requirements    PHP 5.6.x and higher
 * @version         $Id: reorgPosition.php 120 2018-09-28 18:47:10Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/tags/2.12.1/modules/news/reorgPosition.php $
 * @lastmodified    $Date: 2018-09-28 20:47:10 +0200 (Fr, 28. Sep 2018) $
 *
 */

if (!\defined('SYSTEM_RUN')){require(\dirname(\dirname((__DIR__))).'/config.php');}
    require(WB_PATH.'/modules/admin.php');
    $backlink = ADMIN_URL.'/pages/modify.php?page_id='.(int)$page_id;
    if(!$admin->checkFTAN('GET')) {
        $admin->print_error($MESSAGE['GENERIC_SECURITY_ACCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
    }
    $news   = new \order(TABLE_PREFIX.'mod_news_posts', 'position', 'post_id', 'section_id');
    $news->clean( $section_id );

    $groups = new \order(TABLE_PREFIX.'mod_news_groups', 'position', 'group_id', 'section_id');
    $groups->clean( $section_id );

    $admin->print_success($TEXT['SUCCESS'], $backlink );

