<?php
/**
 *
 * @category        modules
 * @package         wysiwyg
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.3
 * @requirements    PHP 5.6 and higher
 * @version         $Id: install.php 96 2018-09-21 14:00:26Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/tags/2.12.1/modules/wysiwyg/install.php $
 * @lastmodified    $Date: 2018-09-21 16:00:26 +0200 (Fr, 21. Sep 2018) $
 *
 */
if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 File not found'; \flush(); exit;}

    $globalStarted = \preg_match('/upgrade\-script\.php$/', $_SERVER["SCRIPT_NAME"]);
    $sWbVersion = (\defined('VERSION') ? VERSION : WB_VERSION);
    if (\version_compare($sWbVersion, '2.11', '<')){
        throw new \Exception ('It is not possible to install from WebsiteBaker Versions before 2.11');
    }
    // create tables from sql dump file
    if (\is_readable(__DIR__.'/install-struct.sql')) {
        $database->SqlImport(__DIR__.'/install-struct.sql', TABLE_PREFIX, __FILE__ );
    }
