<?php
/**
 *
 * @category        templates
 * @package         themes
 * @subpackage      DefaultTheme
 * @subpackage      install
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            http://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.3 SP7
 * @requirements    PHP 5.2.2 and higher
 * @version         $Id: upgrade.php 116 2018-09-28 18:35:57Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/tags/2.12.1/templates/DefaultTheme/upgrade.php $
 * @lastmodified    $Date: 2018-09-28 20:35:57 +0200 (Fr, 28. Sep 2018) $
 * @created
 *
 */

/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 File not found'; \flush(); exit;}
/* -------------------------------------------------------- */
if (!\function_exists('make_dir')){require(WB_PATH.'/framework/functions.php');}

    $globalStarted = preg_match('/upgrade\-script\.php$/', $_SERVER["SCRIPT_NAME"]);
    $sWbVersion = ($globalStarted && defined('VERSION') ? VERSION:WB_VERSION);
    if (\is_writable(WB_PATH.'/temp/cache')) {
        \Translate::getInstance()->clearCache();
    }

// files to be remove
    $aFilestoRemove  = ['/css/customAlert.css',
                        '/css/dialogBox.css',
                        '/images/thumbs-up.psd',
                        '/lib/clearTranslateCache.php',
                        '/lib/rebuildAccessFiles.php',
                        '/lib/w3data.php',
                        '/LoadErrorlog.php',
                        '/delete_errorlog.php',
                        ];
    foreach ($aFilestoRemove as $sFile ){
        if (is_writeable(__DIR__.$sFile)){ unlink (__DIR__.$sFile);}
    }

    if (\file_exists(__DIR__.'/images/flags')){rm_full_dir(__DIR__.'/images/flags');}
